
/* Change MIDI channels in this tab.  To make it velocity sensitive, replace
start_brightness_index[n] = 255;
with
start_brightness_index[n] = (velocity << 1) + 1;
*/

void handleNoteOn(byte channel, byte pitch, byte velocity)
{
  if (velocity)
  {
    switch (pitch)
    {
      case 36:
        start_brightness_index[0] = 255;
        new_hit(start_brightness_index[0], 0);
        start_millis[0] = millis();
        end_millis[0] = start_millis[0] + pgm_read_word(&(sustain[0]));
        break;

      case 37:
        start_brightness_index[1] = 255;
        new_hit(start_brightness_index[1], 1);
        start_millis[1] = millis();
        end_millis[1] = start_millis[1] + pgm_read_word(&(sustain[1]));
        break;

      case 38:
        start_brightness_index[2] = 255;
        if (DMX_fixtures_curve)
        new_hit(start_brightness_index[2], 2);
        start_millis[2] = millis();
        end_millis[2] = start_millis[2] + pgm_read_word(&(sustain[2]));
        break;

      case 39:
        start_brightness_index[3] = 255;
        new_hit(start_brightness_index[3], 3);
        start_millis[3] = millis();
        end_millis[3] = start_millis[3] + pgm_read_word(&(sustain[3]));
        break;

      case 40:
        start_brightness_index[4] = 255;
        new_hit(start_brightness_index[4], 4);
        start_millis[4] = millis();
        end_millis[4] = start_millis[4] + pgm_read_word(&(sustain[4]));
        break;

      case 41:
        start_brightness_index[5] = 255;
        new_hit(start_brightness_index[5], 5);
        start_millis[5] = millis();
        end_millis[5] = start_millis[5] + pgm_read_word(&(sustain[5]));
        break;

      case 42:
        start_brightness_index[6] = 255;
        new_hit(start_brightness_index[6], 6);
        start_millis[6] = millis();
        end_millis[6] = start_millis[6] + pgm_read_word(&(sustain[6]));
        break;

      case 43:
        start_brightness_index[7] = 255;
        new_hit(start_brightness_index[7], 7);
        start_millis[7] = millis();
        end_millis[7] = start_millis[7] + pgm_read_word(&(sustain[7]));
        break;

      case 44:
        start_brightness_index[8] = 255;
        new_hit(start_brightness_index[8], 8);
        start_millis[8] = millis();
        end_millis[8] = start_millis[8] + pgm_read_word(&(sustain[8]));
        break;

      case 45:
        start_brightness_index[9] = 255;
        new_hit(start_brightness_index[9], 9);
        start_millis[9] = millis();
        end_millis[9] = start_millis[9] + pgm_read_word(&(sustain[9]));
        break;

      case 46:
        start_brightness_index[10] = 255;
        new_hit(start_brightness_index[10], 10);
        start_millis[10] = millis();
        end_millis[10] = start_millis[10] + pgm_read_word(&(sustain[10]));
        break;

      case 47:
        start_brightness_index[11] = 255;
        new_hit(start_brightness_index[11], 11);
        start_millis[11] = millis();
        end_millis[11] = start_millis[11] + pgm_read_word(&(sustain[11]));
        break;

      default:
        break;
    }
  }
}

void handleNoteOff(byte channel, byte pitch, byte velocity)
{
  // Insert Code for noteoff light turnoff.  For example, muting an electronic cymbal.

  // Note that NoteOn messages with 0 velocity are interpreted as NoteOffs.
}

