
void setup()
{
  leds.begin();
  for (int i = 0; i < NUM_LEDS; i++)
  {
    setRGB(i, 0, 0, 0);
  }
  leds.show();

  // Connect the handleNoteOn function to the library,
  // so it is called upon reception of a NoteOn.
  MIDI.setHandleNoteOn(handleNoteOn);  // Put only the name of the function

  // Do the same for NoteOffs
  MIDI.setHandleNoteOff(handleNoteOff);

  // Initiate MIDI communications, listen to all channels
  MIDI.begin(MIDI_CHANNEL_OMNI);
}

