
void fadeoff_update (void)

{
 
   current_millis = millis();
   
   current_brightness_index[0] = fadeoff_map(current_millis, start_millis[0], end_millis[0], start_brightness_index[0], pgm_read_byte(&(bitshift[0])));
   current_brightness_index[1] = fadeoff_map(current_millis, start_millis[1], end_millis[1], start_brightness_index[1], pgm_read_byte(&(bitshift[1])));
   current_brightness_index[2] = fadeoff_map(current_millis, start_millis[2], end_millis[2], start_brightness_index[2], pgm_read_byte(&(bitshift[2])));
   current_brightness_index[3] = fadeoff_map(current_millis, start_millis[3], end_millis[3], start_brightness_index[3], pgm_read_byte(&(bitshift[3])));
   current_brightness_index[4] = fadeoff_map(current_millis, start_millis[4], end_millis[4], start_brightness_index[4], pgm_read_byte(&(bitshift[4])));
   current_brightness_index[5] = fadeoff_map(current_millis, start_millis[5], end_millis[5], start_brightness_index[5], pgm_read_byte(&(bitshift[5])));
   current_brightness_index[6] = fadeoff_map(current_millis, start_millis[6], end_millis[6], start_brightness_index[6], pgm_read_byte(&(bitshift[6])));
   current_brightness_index[7] = fadeoff_map(current_millis, start_millis[7], end_millis[7], start_brightness_index[7], pgm_read_byte(&(bitshift[7])));
   current_brightness_index[8] = fadeoff_map(current_millis, start_millis[8], end_millis[8], start_brightness_index[8], pgm_read_byte(&(bitshift[8])));
   current_brightness_index[9] = fadeoff_map(current_millis, start_millis[9], end_millis[9], start_brightness_index[9], pgm_read_byte(&(bitshift[9])));
   current_brightness_index[10] = fadeoff_map(current_millis, start_millis[10], end_millis[10], start_brightness_index[10], pgm_read_byte(&(bitshift[10])));
   current_brightness_index[11] = fadeoff_map(current_millis, start_millis[11], end_millis[11], start_brightness_index[11], pgm_read_byte(&(bitshift[11])));
   
   if (DMX_fixtures_curve)
   {
     current_color_neopixels(current_brightness_index[0], 0);
     current_color_neopixels(current_brightness_index[1], 1);
     current_color_neopixels(current_brightness_index[2], 2);
     current_color_neopixels(current_brightness_index[3], 3);
     current_color_neopixels(current_brightness_index[4], 4);
     current_color_neopixels(current_brightness_index[5], 5);
     current_color_neopixels(current_brightness_index[6], 6);
     current_color_neopixels(current_brightness_index[7], 7);
     current_color_neopixels(current_brightness_index[8], 8);
     current_color_neopixels(current_brightness_index[9], 9);
     current_color_neopixels(current_brightness_index[10], 10);
     current_color_neopixels(current_brightness_index[11], 11);
     
   }
   else
   {
     current_color_neopixels(pgm_read_byte(&(curve[current_brightness_index[0]])), 0);
     current_color_neopixels(pgm_read_byte(&(curve[current_brightness_index[1]])), 1);
     current_color_neopixels(pgm_read_byte(&(curve[current_brightness_index[2]])), 2);
     current_color_neopixels(pgm_read_byte(&(curve[current_brightness_index[3]])), 3);
     current_color_neopixels(pgm_read_byte(&(curve[current_brightness_index[4]])), 4);
     current_color_neopixels(pgm_read_byte(&(curve[current_brightness_index[5]])), 5);
     current_color_neopixels(pgm_read_byte(&(curve[current_brightness_index[6]])), 6);
     current_color_neopixels(pgm_read_byte(&(curve[current_brightness_index[7]])), 7);
     current_color_neopixels(pgm_read_byte(&(curve[current_brightness_index[8]])), 8);
     current_color_neopixels(pgm_read_byte(&(curve[current_brightness_index[9]])), 9);
     current_color_neopixels(pgm_read_byte(&(curve[current_brightness_index[10]])), 10);
     current_color_neopixels(pgm_read_byte(&(curve[current_brightness_index[11]])), 11);
   }

   leds.show();
  
}

